#ifndef TEST_H
#define TEST_H
#include "CLucene.h"

CL_NS_USE(index)
CL_NS_USE(util)
CL_NS_USE(store)
CL_NS_USE(search)
CL_NS_USE(document)
CL_NS_USE(queryParser)
CL_NS_USE(analysis)
CL_NS_USE2(analysis,standard)

#include "CuTest.h"

CuSuite *testindexwriter(void);
CuSuite *teststore(void);
CuSuite *testanalysis(void);
CuSuite *testanalyzers(void);
CuSuite *testhighfreq(void);
CuSuite *testhighlight(void);
CuSuite *testpriorityqueue(void);
CuSuite *testQueryParser(void);
CuSuite *testsearch(void);
CuSuite *testtermvector(void);
CuSuite *testsort(void);
CuSuite *testduplicates(void);
CuSuite *testdatefilter(void);
CuSuite *testwildcard(void);
CuSuite *testreuters(void);
CuSuite *testutf8(void);
CuSuite *testdebug(void);
#ifdef TEST_SNOWBALL
CuSuite *testsnowball(void);
#endif
#ifdef TEST_HIGHLIGHTER
CuSuite *testhighlighter(void);
#endif

#define CLUCENE_LOCATION "../test/data/"
extern char* cl_tempDir;

#endif
